from flask import Flask, request, render_template
from config import config
from language import language


app = Flask(__name__)


@app.route("/")
@app.route("/index.html")
def index_handler():
    return render_template("base_template.html", config=config, language=language)


@app.route("/index-2.html")
def index2_handler():
    return render_template("base_template.html", config=config, language=language)


@app.route("/data-table.html")
def data_table():
    return render_template('test_table.html', config=config, language=language, datatable=True)


@app.errorhandler(404)
def error_404(error):
    return render_template("page-error-404.html")


if __name__ == '__main__':
    app.run(debug=True)
